package com.yd.rmi.n22.salary.pojo.searchstaffsalarydetails;


import com.fasterxml.jackson.annotation.JsonProperty;
import com.yd.api.result.CommonResult;


import java.util.List;


public class SearchStaffSalaryDetailsResponseBody {

    private CommonResult commonResult;

    private String agent_id;

    private String staffname;

    private String years;

    private String month;

    private List<Commission> FristYearCommissionList;

    private List<Commission> RenewalYearCommissionList;

    private List<Commission> FristYearCoachCommissionList;

    private List<Commission> RenewalYearCoachCommissionList;

    private List<Commission> SpecialManagementCommissionList;

    private List<Commission> RecommendCommissionList;

    private List<RecommendSystemCommission> RecommendSystemCommissionList;

    private List<FirstYearPerformanceCommission> FirstYearPerformanceCommissionList;

    private List<RenewalYearPerformanceCommission> RenewalYearPerformanceCommissionList;//续年度绩效奖金

    private List<OtherCommission> OtherCommissionList;

    private List<Commission> monthlySalesAddWeightList;//月度销售加码奖金
    private List<Commission> continuedAnnualSalesBonusList;//续年度销售加码奖金
    private List<Commission> fycMeritsInfoList;//团队管理绩效达标奖金

    private List<RenewalYearPerformanceCommission> directCounselingList;//直接辅导岗位津贴
    private List<RenewalYearPerformanceCommission> indirectCounselingList;//隔代辅导岗位津贴
    private List<RenewalYearPerformanceCommission> TLCoachingAllowanceList;//团队长辅导津贴
    private List<RenewalYearPerformanceCommission> breedingBonusList;//育成奖金
    private List<Commission> independentBrokerAllowanceList;//独立经纪人展业津贴
    private List<Commission> direcSalesAddWeightList;//直接销售加码佣金
    private List<Commission> channelFristYearCommissionList;//D01-首年渠道服务费
    private List<Commission> channelRenewalYearCommissionList;//D02-续年渠道服务费


    public SearchStaffSalaryDetailsResponseBody() {
    }

    public CommonResult getCommonResult() {
        return commonResult;
    }

    public void setCommonResult(CommonResult commonResult) {
        this.commonResult = commonResult;
    }

    public String getAgent_id() {
        return agent_id;
    }

    public void setAgent_id(String agent_id) {
        this.agent_id = agent_id;
    }

    public String getStaffname() {
        return staffname;
    }

    public void setStaffname(String staffname) {
        this.staffname = staffname;
    }

    public String getYears() {
        return years;
    }

    public void setYears(String years) {
        this.years = years;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public List<Commission> getFristYearCommissionList() {
        return FristYearCommissionList;
    }
    @JsonProperty("FristYearCommissionList")
    public void setFristYearCommissionList(List<Commission> fristYearCommissionList) {
        FristYearCommissionList = fristYearCommissionList;
    }

    public List<Commission> getRenewalYearCommissionList() {
        return RenewalYearCommissionList;
    }

    @JsonProperty("RenewalYearCommissionList")
    public void setRenewalYearCommissionList(List<Commission> renewalYearCommissionList) {
        RenewalYearCommissionList = renewalYearCommissionList;
    }

    public List<Commission> getFristYearCoachCommissionList() {
        return FristYearCoachCommissionList;
    }
    @JsonProperty("FristYearCoachCommissionList")
    public void setFristYearCoachCommissionList(List<Commission> fristYearCoachCommissionList) {
        FristYearCoachCommissionList = fristYearCoachCommissionList;
    }

    public List<Commission> getRenewalYearCoachCommissionList() {
        return RenewalYearCoachCommissionList;
    }
    @JsonProperty("RenewalYearCoachCommissionList")
    public void setRenewalYearCoachCommissionList(List<Commission> renewalYearCoachCommissionList) {
        RenewalYearCoachCommissionList = renewalYearCoachCommissionList;
    }

    public List<Commission> getSpecialManagementCommissionList() {
        return SpecialManagementCommissionList;
    }
    @JsonProperty("SpecialManagementCommissionList")
    public void setSpecialManagementCommissionList(List<Commission> specialManagementCommissionList) {
        SpecialManagementCommissionList = specialManagementCommissionList;
    }

    public List<Commission> getRecommendCommissionList() {
        return RecommendCommissionList;
    }
    @JsonProperty("RecommendCommissionList")
    public void setRecommendCommissionList(List<Commission> recommendCommissionList) {
        RecommendCommissionList = recommendCommissionList;
    }

    public List<RecommendSystemCommission> getRecommendSystemCommissionList() {
        return RecommendSystemCommissionList;
    }
    @JsonProperty("RecommendSystemCommissionList")
    public void setRecommendSystemCommissionList(List<RecommendSystemCommission> recommendSystemCommissionList) {
        RecommendSystemCommissionList = recommendSystemCommissionList;
    }

    public List<FirstYearPerformanceCommission> getFirstYearPerformanceCommissionList() {
        return FirstYearPerformanceCommissionList;
    }
    @JsonProperty("FirstYearPerformanceCommissionList")
    public void setFirstYearPerformanceCommissionList(List<FirstYearPerformanceCommission> firstYearPerformanceCommissionList) {
        FirstYearPerformanceCommissionList = firstYearPerformanceCommissionList;
    }

    public List<RenewalYearPerformanceCommission> getRenewalYearPerformanceCommissionList() {
        return RenewalYearPerformanceCommissionList;
    }
    @JsonProperty("RenewalYearPerformanceCommissionList")
    public void setRenewalYearPerformanceCommissionList(List<RenewalYearPerformanceCommission> renewalYearPerformanceCommissionList) {
        RenewalYearPerformanceCommissionList = renewalYearPerformanceCommissionList;
    }

    public List<OtherCommission> getOtherCommissionList() {
        return OtherCommissionList;
    }
    @JsonProperty("OtherCommissionList")
    public void setOtherCommissionList(List<OtherCommission> otherCommissionList) {
        OtherCommissionList = otherCommissionList;
    }

    public List<Commission> getMonthlySalesAddWeightList() {
        return monthlySalesAddWeightList;
    }

    public void setMonthlySalesAddWeightList(List<Commission> monthlySalesAddWeightList) {
        this.monthlySalesAddWeightList = monthlySalesAddWeightList;
    }

    public List<Commission> getContinuedAnnualSalesBonusList() {
        return continuedAnnualSalesBonusList;
    }

    public void setContinuedAnnualSalesBonusList(List<Commission> continuedAnnualSalesBonusList) {
        this.continuedAnnualSalesBonusList = continuedAnnualSalesBonusList;
    }

    public List<RenewalYearPerformanceCommission> getDirectCounselingList() {
        return directCounselingList;
    }

    public void setDirectCounselingList(List<RenewalYearPerformanceCommission> directCounselingList) {
        this.directCounselingList = directCounselingList;
    }

    public List<RenewalYearPerformanceCommission> getIndirectCounselingList() {
        return indirectCounselingList;
    }

    public void setIndirectCounselingList(List<RenewalYearPerformanceCommission> indirectCounselingList) {
        this.indirectCounselingList = indirectCounselingList;
    }

    public List<RenewalYearPerformanceCommission> getTLCoachingAllowanceList() {
        return TLCoachingAllowanceList;
    }

    public void setTLCoachingAllowanceList(List<RenewalYearPerformanceCommission> TLCoachingAllowanceList) {
        this.TLCoachingAllowanceList = TLCoachingAllowanceList;
    }

    public List<RenewalYearPerformanceCommission> getBreedingBonusList() {
        return breedingBonusList;
    }

    public void setBreedingBonusList(List<RenewalYearPerformanceCommission> breedingBonusList) {
        this.breedingBonusList = breedingBonusList;
    }

    public List<Commission> getFycMeritsInfoList() {
        return fycMeritsInfoList;
    }

    public void setFycMeritsInfoList(List<Commission> fycMeritsInfoList) {
        this.fycMeritsInfoList = fycMeritsInfoList;
    }

    public List<Commission> getIndependentBrokerAllowanceList() {
        return independentBrokerAllowanceList;
    }

    public void setIndependentBrokerAllowanceList(List<Commission> independentBrokerAllowanceList) {
        this.independentBrokerAllowanceList = independentBrokerAllowanceList;
    }

    public List<Commission> getDirecSalesAddWeightList() {
        return direcSalesAddWeightList;
    }

    public void setDirecSalesAddWeightList(List<Commission> direcSalesAddWeightList) {
        this.direcSalesAddWeightList = direcSalesAddWeightList;
    }

    public List<Commission> getChannelFristYearCommissionList() {
        return channelFristYearCommissionList;
    }

    public void setChannelFristYearCommissionList(List<Commission> channelFristYearCommissionList) {
        this.channelFristYearCommissionList = channelFristYearCommissionList;
    }

    public List<Commission> getChannelRenewalYearCommissionList() {
        return channelRenewalYearCommissionList;
    }

    public void setChannelRenewalYearCommissionList(List<Commission> channelRenewalYearCommissionList) {
        this.channelRenewalYearCommissionList = channelRenewalYearCommissionList;
    }
}
